body
{
    background-color:#dafdaf;
    display:flex;
    justify-content:center;
    align-items:center;
    color:#cae64a;
    font-family:sans-serif;
    text-transform:lowercase;
    font-variant:small-caps;
    font-weight:700;
}
*{
    image-rendering: pixelated;
}
:root
{
    --wh:calc(calc(1vw + 1vh) / 3);
}
.canvasJuego {
    background: #3fbfff;
    height:calc(var(--wh) * 70);
    width:calc(var(--wh) * 70);
    position:relative;
    overflow:hidden;
}
.floor {
    content:"";
    position:absolute;
    z-index:100;
    width:calc(var(--wh) * 70);
    height:20%;
    top:80%;
    left:0px;
    background:#886f00;
}
.floor:before {
    content:"";
    position:absolute;
    z-index:101;
    width:calc(var(--wh) * .4);
    height:1px;
    top:50%;
    left:50%;
    background:black;
    box-shadow:calc(var(--wh) *  4) calc(var(--wh) * 2) 00 black,
               calc(var(--wh) * -4) calc(var(--wh) *-2) 00 black,
               calc(var(--wh) * 14) calc(var(--wh) * 8) 00 black,
               calc(var(--wh) * -7) calc(var(--wh) * 3) 00 black,
               calc(var(--wh) * 20) calc(var(--wh) * 9) 00 black,
               calc(var(--wh) *-30) calc(var(--wh) * 5) 00 black,
               calc(var(--wh) * 25) calc(var(--wh) *-6) 00 black,
               calc(var(--wh) * 16) calc(var(--wh) *-3) 00 black,
               calc(var(--wh) *  4) calc(var(--wh) *-5) 00 black,
               calc(var(--wh) *-30) calc(var(--wh) * 0) 00 black,
               calc(var(--wh) * 30) calc(var(--wh) * 0) 00 black,
               calc(var(--wh) * 14) calc(var(--wh) * 2) 00 black,
               calc(var(--wh) *-14) calc(var(--wh) *-3) 00 black,
               calc(var(--wh) *  7) calc(var(--wh) *-3) 00 black,
               calc(var(--wh) *-20) calc(var(--wh) *-4) 00 black,
               calc(var(--wh) * 30) calc(var(--wh) *-5) 00 black,
               calc(var(--wh) *-25) calc(var(--wh) * 6) 00 black,
               calc(var(--wh) * 30) calc(var(--wh) * 5) 00 black,
               calc(var(--wh) *-25) calc(var(--wh) *-6) 00 black,
               calc(var(--wh) *-16) calc(var(--wh) * 3) 00 black,
               calc(var(--wh) * -4) calc(var(--wh) * 5) 00 black;
}
.grass{
    position:absolute;
    top:80%;
    transform:translate(-40%) rotateZ(90deg);
    background-color:#187218;
    z-index:102;
    width: calc(var(--wh) * 5);
    height: calc(var(--wh) * .2);
    -moz-border-radius: 00050% / 0100%;
    -webkit-border-radius: 00050% / 0100%;
    border-radius: 00050%/ 0100% ;
    border: 3px solid transparent;
    box-shadow: 0calc(var(--wh) * -1) 00#a9f359,
                2pxcalc(var(--wh) * -2) 00#4c9941,
                0calc(var(--wh) * -3) 00#187218,
                2pxcalc(var(--wh) * -4) 00#4c9941,
                0calc(var(--wh) * -5) 00#a9f359,
                2pxcalc(var(--wh) * -6) 00#4c9941,
                0calc(var(--wh) * -7) 00#187218,
                2pxcalc(var(--wh) * -8) 00#4c9941,
                0calc(var(--wh) * -9) 00#a9f359,
                2pxcalc(var(--wh) * -10) 00#4c9941,
                0calc(var(--wh) * -11) 00#187218,
                2pxcalc(var(--wh) * -12) 00#4c9941,
                0calc(var(--wh) * -13) 00#a9f359,
                2pxcalc(var(--wh) * -14) 00#4c9941,
                0calc(var(--wh) * -15) 00#187218,
                2pxcalc(var(--wh) * -16) 00#4c9941,
                0calc(var(--wh) * -17) 00#a9f359,
                2pxcalc(var(--wh) * -18) 00#4c9941,
                0calc(var(--wh) * -19) 00#187218,
                2pxcalc(var(--wh) * -20) 00#4c9941,
                0calc(var(--wh) * -21) 00#a9f359,
                2pxcalc(var(--wh) * -22) 00#4c9941,
                0calc(var(--wh) * -23) 00#187218,
                2pxcalc(var(--wh) * -24) 00#4c9941,
                0calc(var(--wh) * -25) 00#a9f359,
                2pxcalc(var(--wh) * -26) 00#4c9941,
                0calc(var(--wh) * -27) 00#187218,
                2pxcalc(var(--wh) * -28) 00#4c9941,
                0calc(var(--wh) * -29) 00#a9f359,
                2pxcalc(var(--wh) * -30) 00#4c9941,
                0calc(var(--wh) * -31) 00#187218,
                2pxcalc(var(--wh) * -32) 00#4c9941,
                0calc(var(--wh) * -33) 00#a9f359,
                2pxcalc(var(--wh) * -34) 00#4c9941,
                0calc(var(--wh) * -35) 00#187218,
                2pxcalc(var(--wh) * -36) 00#4c9941,
                0calc(var(--wh) * -37) 00#a9f359,
                2pxcalc(var(--wh) * -38) 00#4c9941,
                0calc(var(--wh) * -39) 00#187218,
                2pxcalc(var(--wh) * -40) 00#4c9941,
                0calc(var(--wh) * -41) 00#a9f359,
                2pxcalc(var(--wh) * -42) 00#4c9941,
                0calc(var(--wh) * -43) 00#187218,
                2pxcalc(var(--wh) * -44) 00#4c9941,
                0calc(var(--wh) * -45) 00#a9f359,
                2pxcalc(var(--wh) * -46) 00#4c9941,
                0calc(var(--wh) * -47) 00#187218,
                2pxcalc(var(--wh) * -48) 00#4c9941,
                0calc(var(--wh) * -49) 00#a9f359,
                2pxcalc(var(--wh) * -50) 00#4c9941,
                0calc(var(--wh) * -51) 00#187218,
                2pxcalc(var(--wh) * -52) 00#4c9941,
                0calc(var(--wh) * -53) 00#a9f359,
                2pxcalc(var(--wh) * -54) 00#4c9941,
                0calc(var(--wh) * -55) 00#187218,
                2pxcalc(var(--wh) * -56) 00#4c9941,
                0calc(var(--wh) * -57) 00#a9f359,
                2pxcalc(var(--wh) * -58) 00#4c9941,
                0calc(var(--wh) * -59) 00#187218,
                2pxcalc(var(--wh) * -60) 00#4c9941,
                0calc(var(--wh) * -61) 00#a9f359,
                2pxcalc(var(--wh) * -62) 00#4c9941,
                0calc(var(--wh) * -63) 00#187218,
                2pxcalc(var(--wh) * -64) 00#4c9941,
                0calc(var(--wh) * -65) 00#a9f359,
                2pxcalc(var(--wh) * -66) 00#4c9941,
                0calc(var(--wh) * -67) 00#187218,
                2pxcalc(var(--wh) * -68) 00#4c9941,
                0calc(var(--wh) * -69) 00#a9f359,
                2pxcalc(var(--wh) * -70) 00#4c9941,
                0calc(var(--wh) * -71) 00#187218,
                2pxcalc(var(--wh) * -72) 00#4c9941,
                0calc(var(--wh) * -73) 00#a9f359,
                2pxcalc(var(--wh) * -74) 00#4c9941,
                0calc(var(--wh) * -75) 00#187218,
                2pxcalc(var(--wh) * -76) 00#4c9941,
                0calc(var(--wh) * -77) 00#a9f359,
                2pxcalc(var(--wh) * -78) 00#4c9941,
                0calc(var(--wh) * -79) 00#187218,
                2pxcalc(var(--wh) * -80) 00#4c9941,
                0calc(var(--wh) * -81) 00#a9f359,
                2pxcalc(var(--wh) * -82) 00#4c9941,
                0calc(var(--wh) * -83) 00#187218,
                2pxcalc(var(--wh) * -84) 00#4c9941,
                0calc(var(--wh) * -85) 00#a9f359,
                2pxcalc(var(--wh) * -86) 00#4c9941,
                0calc(var(--wh) * -87) 00#187218,
                2pxcalc(var(--wh) * -88) 00#4c9941,
                0calc(var(--wh) * -89) 00#a9f359,
                2pxcalc(var(--wh) * -90) 00#4c9941,
                0calc(var(--wh) * -91) 00#187218,
                2pxcalc(var(--wh) * -92) 00#4c9941,
                0calc(var(--wh) * -93) 00#a9f359,
                2pxcalc(var(--wh) * -94) 00#4c9941,
                0calc(var(--wh) * -95) 00#187218,
                2pxcalc(var(--wh) * -96) 00#4c9941,
                0calc(var(--wh) * -97) 00#a9f359,
                2pxcalc(var(--wh) * -98) 00#4c9941,
                0calc(var(--wh) * -99) 00#187218,
                2pxcalc(var(--wh) * -100) 00#4c9941,
                0calc(var(--wh) * -101) 00#a9f359,
                2pxcalc(var(--wh) * -102) 00#4c9941,
                0calc(var(--wh) * -103) 00#187218,
                2pxcalc(var(--wh) * -104) 00#4c9941,
                0calc(var(--wh) * -105) 00#a9f359,
                2pxcalc(var(--wh) * -106) 00#4c9941,
                0calc(var(--wh) * -107) 00#187218,
                2pxcalc(var(--wh) * -108) 00#4c9941,
                0calc(var(--wh) * -109) 00#a9f359,
                2pxcalc(var(--wh) * -110) 00#4c9941,
                0calc(var(--wh) * -111) 00#187218,
                2pxcalc(var(--wh) * -112) 00#4c9941,
                0calc(var(--wh) * -113) 00#a9f359,
                2pxcalc(var(--wh) * -114) 00#4c9941,
                0calc(var(--wh) * -115) 00#187218,
                2pxcalc(var(--wh) * -116) 00#4c9941,
                0calc(var(--wh) * -117) 00#a9f359,
                2pxcalc(var(--wh) * -118) 00#4c9941,
                0calc(var(--wh) * -119) 00#187218,
                2pxcalc(var(--wh) * -120) 00#4c9941,
                0calc(var(--wh) * -121) 00#a9f359,
                2pxcalc(var(--wh) * -122) 00#4c9941,
                0calc(var(--wh) * -123) 00#187218,
                2pxcalc(var(--wh) * -124) 00#4c9941,
                0calc(var(--wh) * -125) 00#a9f359,
                2pxcalc(var(--wh) * -126) 00#4c9941,
                0calc(var(--wh) * -127) 00#187218,
                2pxcalc(var(--wh) * -128) 00#4c9941,
                0calc(var(--wh) * -129) 00#a9f359,
                2pxcalc(var(--wh) * -130) 00#4c9941,
                0calc(var(--wh) * -131) 00#187218,
                2pxcalc(var(--wh) * -132) 00#4c9941,
                0calc(var(--wh) * -133) 00#a9f359,
                2pxcalc(var(--wh) * -134) 00#4c9941,
                0calc(var(--wh) * -135) 00#187218,
                2pxcalc(var(--wh) * -136) 00#4c9941,
                0calc(var(--wh) * -137) 00#a9f359,
                2pxcalc(var(--wh) * -138) 00#4c9941,
                0calc(var(--wh) * -139) 00#187218,
                2pxcalc(var(--wh) * -140) 00#4c9941,
                0calc(var(--wh) * -141) 00#a9f359,
                2pxcalc(var(--wh) * -142) 00#4c9941,
                0calc(var(--wh) * -143) 00#187218,
                2pxcalc(var(--wh) * -144) 00#4c9941,
                0calc(var(--wh) * -145) 00#a9f359,
                2pxcalc(var(--wh) * -146) 00#4c9941,
                0calc(var(--wh) * -147) 00#187218,
                2pxcalc(var(--wh) * -148) 00#4c9941,
                0calc(var(--wh) * -149) 00#a9f359,
                2pxcalc(var(--wh) * -150) 00#4c9941,
                0calc(var(--wh) * -151) 00#187218,
                2pxcalc(var(--wh) * -152) 00#4c9941,
                0calc(var(--wh) * -153) 00#a9f359,
                2pxcalc(var(--wh) * -154) 00#4c9941,
                0calc(var(--wh) * -155) 00#187218,
                2pxcalc(var(--wh) * -156) 00#4c9941,
                0calc(var(--wh) * -157) 00#a9f359,
                2pxcalc(var(--wh) * -158) 00#4c9941,
                0calc(var(--wh) * -159) 00#187218,
                2pxcalc(var(--wh) * -150) 00#4c9941,
                0calc(var(--wh) * -151) 00#a9f359;
}
.tree:after {
    content: "";
    position: absolute;
    left: -24px ;
    top: -110%;
    width: 50px;
    height: 100%;
    z-index:99;
    background-color: #5cb85c;
    -moz-border-radius: 50%50%50%50% / 60%60%40%40%;
    -webkit-border-radius: 50%50%50%50% / 60%60%40%40%;
    border-radius: 50%50%50%50% / 60%60%40%40%;
}
.tree {
    left:10%;
    top:60%;
    position: absolute;
    width: 0px;
    z-index:99;
    height: 16%;
    border: solid 5px#886f00;
    border-top:solid 30px transparent;
    }
.doc
{
    background-position:0%0%;
    background-image:url("https://i.pinimg.com/originals/20/fc/4f/20fc4fe2c41262ed46c246d44f10ccbf.png");
    background-repeat:no-repeat;
    width:62px;
    height:50px;
    --ws:62px;
    --hs:50px;
    position:absolute;
    transform:translateX(-100%);
    animation-name:WalkDoc, MoveDoc, WalkJump;
    animation-duration:.5s, 2s, .7s;
    animation-delay:0s, 0s, 2s;
    animation-timing-function:linear, linear, ease-in;
    animation-iteration-count:infinite, 1, 1;
    animation-fill-mode: both, forwards, forwards;
    animation-direction:reverse, normal, normal;
    top:calc(var(--wh) * 55);
}
input[type*="box"]{
    display:none;
}#shot01:checked ~ .doc
{    background-position: calc(var(--ws) * -5 - 15px) 0%;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot02:checked ~ .doc
{
    background-position: calc(var(--ws) * -5 ) calc(var(--hs) * -1 - 10px);
    width:72px;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock2;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot03:checked ~ .doc
{    background-position: calc(var(--ws) * -5 - 15px) 0%;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot04:checked ~ .doc
{
    background-position: calc(var(--ws) * -5 ) calc(var(--hs) * -1 - 10px);
    width:72px;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock2;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot05:checked ~ .doc
{    background-position: calc(var(--ws) * -5 - 15px) 0%;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot06:checked ~ .doc
{
    background-position: calc(var(--ws) * -5 ) calc(var(--hs) * -1 - 10px);
    width:72px;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock2;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot07:checked ~ .doc
{    background-position: calc(var(--ws) * -5 - 15px) 0%;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot08:checked ~ .doc
{
    background-position: calc(var(--ws) * -5 ) calc(var(--hs) * -1 - 10px);
    width:72px;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock2;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot09:checked ~ .doc
{    background-position: calc(var(--ws) * -5 - 15px) 0%;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
#shot10:checked ~ .doc
{
    background-position: calc(var(--ws) * -5 ) calc(var(--hs) * -1 - 10px);
    width:72px;
    left:calc(var(--wh) * 40);
    top:calc(var(--wh) * 60);
    animation-name:HuntDock2;
    animation-duration:1s;
    animation-delay:1.5s;
    animation-timing-function:linear;
    animation-iteration-count: 2;
    animation-fill-mode: backwards;
    animation-direction: alternate;
}
label[for*="shot"]
{
    display:inline-block;
    visibility:hidden;
    background-position:0%calc(var(--hs) * -2 - 8px);
    background-image:url("https://i.pinimg.com/originals/20/fc/4f/20fc4fe2c41262ed46c246d44f10ccbf.png");
    background-repeat:no-repeat;
    width:40px;
    height:40px;
    --ws:40px;
    --hs:50px;
    position:absolute;
    left:55%;
    top:10%;
    transform:translateX(-100%);
    animation-name:duckFly, flyUp, flymoved01;
    animation-delay:3.5s, 3.5s, 3.5s, 0s;
    animation-timing-function:ease, ease, ease-in-out, ease-in;
    animation-iteration-count:infinite, infinite, infinite, 1;
    animation-fill-mode:forwards;
    animation-direction:alternate,alternate,normal, normal;
    animation-play-state: paused, paused, paused, paused ;
}label[for$="01"]{    animation-duration:.4s, 9s, 5s,3s;
    animation-delay:3s, 3s, 3s, 0s;
    animation-play-state: running, running, running, paused;
}#shot01:checked ~ label[for$="01"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot01:checked ~ label[for$="02"] {
    animation-name:duckFly, flyUp, flymoved02;
    animation-duration:.4s, 6s, 4s,3s;
    animation-play-state: running, running, running, paused;
}#shot02:checked ~ label[for$="02"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot02:checked ~ label[for$="03"] {
    animation-timing-function:ease-in, ease-in, ease-in;
    animation-duration:.3s, 4.5s, 10s,3s;
    animation-play-state: running, running, running, paused;
}#shot03:checked ~ label[for$="03"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot03:checked ~ label[for$="04"] {
    animation-duration:.5s, 7s, 12s,3s;
    animation-play-state: running, running, running, paused;
}#shot04:checked ~ label[for$="04"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot04:checked ~ label[for$="05"] {    animation-name:duckFly, flyUp, flymoved02;
    animation-duration:.3s, 4.5s, 5s,3s;
    animation-play-state: running, running, running, paused;
}#shot05:checked ~ label[for$="05"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot05:checked ~ label[for$="06"] {
    animation-timing-function:ease-in-out, ease-in-out, ease-in-out;
    animation-duration:.2s, 5s, 6s,3s;
    animation-play-state: running, running, running, paused;
}#shot06:checked ~ label[for$="06"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot06:checked ~ label[for$="07"] {    animation-name:duckFly, flyUp, flymoved02;
    animation-duration:.3s, 6s, 3s,3s;
    animation-play-state: running, running, running, paused;
}#shot07:checked ~ label[for$="07"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot07:checked ~ label[for$="08"] {    animation-timing-function:ease-out, ease-out, ease-out;
    animation-duration:.7s, 7s, 8s,3s;
    animation-play-state: running, running, running, paused;
}#shot08:checked ~ label[for$="08"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot08:checked ~ label[for$="09"] {
    animation-duration:.8s, 9s, 7.8s,3s;
    animation-play-state: running, running, running, paused;
}#shot09:checked ~ label[for$="09"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}#shot09:checked ~ label[for$="10"] {    animation-name:duckFly, flyUp, flymoved02;
    animation-duration:.3s, 3s, 4s,3s;
    animation-play-state: running, running, running, paused;
}#shot10:checked ~ label[for$="10"] {
    animation-name:duckFly, flyUp, flymoved01, flyDown;
    animation-play-state: paused, paused, paused, running;
}
.score:after{
    content: "---- score";
    padding:2px;
    position:absolute;
    background:black;
    bottom:0%;
    right:5%;
    z-index:150;
    width: 20%;
    height: 8%;
    border:solid 2px#cae64a;
    box-sizing:border-box;
    border-radius:3px;
}#shot01:checked ~ .score:after{
    content: "0100 score";
}
#shot02:checked ~ .score:after{
    content: "0200 score";
}
#shot03:checked ~ .score:after{
    content: "0300 score";
}
#shot04:checked ~ .score:after{
    content: "0400 score";
}
#shot05:checked ~ .score:after{
    content: "0500 score";
}
#shot06:checked ~ .score:after{
    content: "06000 score";
}
#shot07:checked ~ .score:after{
    content: "00700 score";
}
#shot08:checked ~ .score:after{
    content: "08000 score";
}
#shot09:checked ~ .score:after{
    content: "09000 score";
}
#shot10:checked ~ .score:after{
    content: "10000 score";
}
.hit{
    position:absolute;
    background:black;
    bottom:0%;
    right:30%;
    z-index:150;
    width: 40%;
    height: 8%;
    border: solid 2px#cae64a;
    box-sizing:border-box;
    border-radius:3px;
    display:grid;
    grid-template:repeat(2, 1fr) / repeat(14, 1fr);
  }
.pato{
    margin:.3em000 ;
    width:calc(var(--wh) * 1.5);
    height:calc(var(--wh) * 1);
    border-radius:50%;
    border:solid calc(var(--wh) * .4) white;
    border-bottom-width: calc(var(--wh) * .6);
    box-sizing:border-box;
    border-top:none;
    position:relative;
}
.pato:after{
    position:absolute;
    left:calc(var(--wh) * -.5);
    top:calc(var(--wh) * -1);
    content:"";
    margin:.3em000 ;
    width:calc(var(--wh) * .8);
    height:calc(var(--wh) * .8);
    transform:rotatez(90deg);
    border-radius:50%;
    border:solid calc(var(--wh) * .3) white;
    box-sizing:border-box;
    border-bottom:none;
    border-left:none;
  }
#shot01:checked ~ .hit.pato01,
#shot01:checked ~ .hit.pato01:after{
    border-color: red!important;
}
#shot02:checked ~ .hit.pato02,
#shot02:checked ~ .hit.pato02:after{
    border-color:red!important;
}
#shot03:checked ~ .hit.pato03,
#shot03:checked ~ .hit.pato03:after{
    border-color:red!important;
}
#shot04:checked ~ .hit.pato04,
#shot04:checked ~ .hit.pato04:after{
    border-color:red!important;
}
#shot05:checked ~ .hit.pato05,
#shot05:checked ~ .hit.pato05:after{
    border-color:red!important;
}
#shot06:checked ~ .hit.pato06,
#shot06:checked ~ .hit.pato06:after{
    border-color:red!important;
}
#shot07:checked ~ .hit.pato07,
#shot07:checked ~ .hit.pato07:after{
    border-color:red!important;
}
#shot08:checked ~ .hit.pato08,
#shot08:checked ~ .hit.pato08:after{
    border-color:red!important;
}
#shot09:checked ~ .hit.pato09,
#shot09:checked ~ .hit.pato09:after{
    border-color:red!important;
}
#shot10:checked ~ .hit.pato10,
#shot10:checked ~ .hit.pato10:after{
    border-color:red!important;
}
.pato:nth-of-type(1){
    grid-column:5;
}
.lineas{
    background:white;
    width:calc(var(--wh) * .3);
    height:70%;
    grid-area:2/5;
    box-shadow:calc(var(--wh) * .9) 000 white,
               calc(var(--wh) * 1.8) 000 white,
               calc(var(--wh) * 2.7) 000 white,
               calc(var(--wh) * 3.6) 000 white,
               calc(var(--wh) * 4.5) 000 white,
               calc(var(--wh) * 5.4) 000 white,
               calc(var(--wh) * 6.3) 000 white,
               calc(var(--wh) * 7.2) 000 white,
               calc(var(--wh) * 8.1) 000 white,
               calc(var(--wh) * 9.0) 000 white,
               calc(var(--wh) * 9.9) 000 white,
               calc(var(--wh) *10.8) 000 white,
               calc(var(--wh) *11.7) 000 white,
               calc(var(--wh) *12.6) 000 white,
               calc(var(--wh) *13.5) 000 white,
               calc(var(--wh) *14.4) 000 white;
             }
.shot{
    position:absolute;
    background:black;
    bottom:0%;
    right:75%;
    z-index:150;
    width:20%;
    height:8%;
    border:solid 2px#cae64a;
    box-sizing:border-box;
    border-radius:3px;
    display:flex;
    justify-content:center;
    align-items:center;
    flex-wrap:wrap;
}
.balas {
    transition:0.2s all;
    margin-left:5px;
    opacity:1;
    background:white;
    width:8px;
    border-radius:50%50%00 ;
    height:30%;
    box-shadow: 01px00 black,
                02px00 white;
}
.gameover{
    transition:0.5s all;
    display:none;
    opacity:0;
    background-color:transparent;
    position:absolute;
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
}
.gameover:after{
    content:"gameover";
    position:absolute;
    background:black;
    top:50%;
    left:50%;
    z-index:152;
    width:50%;
    height:auto;
    box-sizing:border-box;
    border-radius:3px;
    display:flex;
    justify-content:center;
    align-items:center;
    flex-direction:column;
    flex-wrap:wrap;
    transform:translate3D(-50%, -50%, 10px);
    border: solid 3px white;
    color:white;
    padding: .8em;
}
.gameovera{
    position:absolute;
    top:60%;
    left:50%;
    text-decoration:none;
    color:white;
    background-color:#FFA93F;
    margin:.5em;
    transform:translate(-50%, -50%);
    padding:.3em .8em;
}
label[for="deat"]{
    background-color:transparent;
    position:absolute;
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
}
input[id="deat"]:checked ~ .gameover {
    display:block;
    opacity:1;
}input[id="deat"]:checked ~ .shot.balas {
    opacity:0;
}
#shot10:checked ~ .gameover {
    transition-delay: 1s;
    display:block;
    opacity:1;
}
@keyframes flyUp{
    from{        top:calc(var(--wh) * 40);
        visibility:visible;
    }
    to{        top:calc(var(--wh) * 0);
        visibility:visible;
    }
}
@keyframes flyDown{
    0%{        transform: scale(1);
        background-position:0%calc(var(--hs) * -5 + 20px);
        visibility:visible;
    }
    10.99%{        background-position:0%calc(var(--hs) * -5 + 20px);
    }    11%{        background-position:calc(var(--ws) * -1 ) calc(var(--hs) * -5 + 20px);
    }
    100%{
       transform:scale(1) translateY(calc(var(--wh) * 200));
       background-position:calc(var(--ws) * -1 ) calc(var(--hs) * -5 + 20px);
        visibility:visible;
    }
}
@keyframes flymoved01{
    0%{        left:calc(var(--wh) * 60);
        transform:scaleX(-1);
    }
    15%{        left:calc(var(--wh) * 30);
        transform:scaleX(-1);
    }
    20%{        transform:scaleX(1);
    }
    30%{        left:calc(var(--wh) * 60);
        transform:scaleX(1);
    }
    35%{        transform:scaleX(-1);
    }    50%{
        left:calc(var(--wh) * 1);
        transform:scaleX(-1);
    }    55%{
        transform:scaleX(1);
    }    70%{
        left:calc(var(--wh) * 20);
        transform:scaleX(1);
    }    70%{
        left:calc(var(--wh) * 25);
        transform:scaleX(1);
    }    90%{
        transform:scaleX(1);
    }    100%{
        left:calc(var(--wh) * 60);
        transform:scaleX(-1);
    }
}
@keyframes flymoved02{
    0%{        left:calc(var(--wh) * 40);
        transform:scaleX(-1);
    }    30%{        left:calc(var(--wh) * 32);
        transform:scaleX(-1);
    }
    50%{
        left:calc(var(--wh) * 1);
        transform:scaleX(-1);
    }    55%{
        transform:scaleX(1);
    }    70%{
        left:calc(var(--wh) * 1);
        transform:scaleX(1);
    }    80%{
        left:calc(var(--wh) * 59);
        transform:scaleX(1);
    }    85%{
        transform:scaleX(-1);
    }    100%{
        left:calc(var(--wh) * 40);
        transform:scaleX(-1);
    }
}
@keyframes duckFly {
    0%{
        background-position:calc(var(--ws) * -0 ) calc(var(--hs) * -2 - 8px);
    }
    39.99%{
        background-position:calc(var(--ws) * -0 ) calc(var(--hs) * -2 - 8px);
      }
    40%{
        background-position:calc(var(--ws) * -1 ) calc(var(--hs) * -2 - 8px);
      }
    69.99%{
        background-position:calc(var(--ws) * -1 ) calc(var(--hs) * -2 - 8px);
      }
    70%{
        background-position:calc(var(--ws) * -2 ) calc(var(--hs) * -2 - 8px);
      }
    99.99%{
        background-position:calc(var(--ws) * -2 ) calc(var(--hs) * -2 - 8px);
      }
    100%{
        background-position:calc(var(--ws) * -0 ) calc(var(--hs) * -2 - 8px);
      }
}
@keyframes WalkDoc{
    0%{
        z-index:120;
       background-position:calc(var(--ws) * 0) 0%;
    }
    19.99%{
        background-position:calc(var(--ws) * 0) 0%;
    }
    20%{
        background-position:calc(var(--ws) * -1 + 3px) 0%;
    }
    39.99%{
        background-position:calc(var(--ws) * -1 + 3px) 0%;
    }
    40%{
        background-position:calc(var(--ws) * -2 + 3px) 0%;
    }
    59.99%{
        background-position:calc(var(--ws) * -2 + 3px) 0%;
    }
    60%{
        background-position:calc(var(--ws) * -3 + 3px) 0%;
    }
    79.99%{
        background-position:calc(var(--ws) * -3 + 3px) 0%;
    }
    80%{
        background-position:calc(var(--ws) * -4 + 3px) 0%;
    }
    99.99%{
        background-position:calc(var(--ws) * -4 + 3px) 0%;
    }
    100%{
        background-position:calc(var(--ws) * 0) 0%;
        z-index:120;
    }
}
@keyframes WalkJump{
    0%{
        z-index:120;
       background-position: calc(var(--ws) * 0) calc(var(--hs) * -1 - 10px);
    }
    40.99%{
        background-position:calc(var(--ws) * 0) calc(var(--hs) * -1 - 10px);
    }
    41%{
        background-position:calc(var(--ws) * -1 + 3px) calc(var(--hs) * -1 - 10px);
    }
    75.99%{
        background-position:calc(var(--ws) * -1 + 3px) calc(var(--hs) * -1 - 10px);
        top:calc(var(--wh) * 55);
    }
    76%{
        background-position:calc(var(--ws) * -2 + 3px) calc(var(--hs) * -1 - 10px);
        top:calc(var(--wh) * 46);
    }
    99.99%{
        z-index:120;
        background-position:calc(var(--ws) * -2 + 3px) calc(var(--hs) * -1 - 10px);
        top:calc(var(--wh) * 46);
    }
    100%{
        top:calc(var(--wh) * 60);
        z-index:0;
    }
}
@keyframes MoveDoc{
    0%{
       left:calc(var(--wh) * 0);
    }    100%{
       left:calc(var(--wh) * 20);
    }
}
@keyframes HuntDock{
    0%{
       top:calc(var(--wh) * 60);
    }    70%{
       top:71%;
    }    100%{
       top:71%;
    }
}
@keyframes HuntDock2{
    0%{
       top:calc(var(--wh) * 60);
    }    70%{
       top:71%;
    }    100%{
       top:71%;
    }
}